/*****************************************************************************
 * $LastChangedDate: 2011-04-09 21:58:06 -0400 (Sat, 09 Apr 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Macros for modules.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_MODULE_MACROS_HH
#define BASE_MODULE_MACROS_HH 1

// For Init() of a module (if applicable).
#define MODULE_INIT_LOAD_CONF_TXT( MODULE )                                             \
{{                                                                                      \
    /* Load text conf file into Conf struct. */                                         \
    const string confTxtFilename = GetConfTxtFilename( initArgs.mProgramName );         \
                                                                                        \
    /* Not CONF macro since mValid isn't true yet. */                                   \
    MODULE::global::gConf.Init( initArgs, confTxtFilename );                            \
}}

#endif // BASE_MODULE_MACROS_HH
