/*****************************************************************************
 * $LastChangedDate: 2011-04-22 12:24:45 -0400 (Fri, 22 Apr 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Module configuration.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SOUND_CONF_HH
#define SOUND_CONF_HH 1

#define SOUND_CONF sound::GET_CONF()

#include "base/conf_txt.hh"

namespace sound {

////////////////////////////////////////////////////////////////////////////////
/// @brief Module configuration.
///
class Conf
{
#include "base/conf_template_txt.hh"
public:
    bool            mEnableSound;
    bool            mPermanentlyDisabled;   ///< if -no-sound was passed
};
#include "base/conf_template_end.hh"

} // namespace sound

#endif // SOUND_CONF_HH
