/*****************************************************************************
 * $LastChangedDate: 2010-05-22 13:34:54 -0400 (Sat, 22 May 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Typesig definitions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef GAME_TYPESIG_DEFS_HH
#define GAME_TYPESIG_DEFS_HH 1

namespace game {

/// Type signatures.
enum
{
    TYPESIG_MISSILE     = (uint('m')<<24) | (uint('i')<<16) | (uint('s')<<8) | uint('l'),
    TYPESIG_PROJECTILE  = (uint('p')<<24) | (uint('j')<<16) | (uint('t')<<8) | uint('l'),
};

} // namespace game

#endif // GAME_TYPESIG_DEFS_HH
#endif // DEBUG
