/*****************************************************************************
 * $LastChangedDate: 2011-02-20 13:52:41 -0500 (Sun, 20 Feb 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Include OpenGL headers.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GFX_OPENGL_HH
#define GFX_OPENGL_HH 1

#if 0
    // OSG has the system-specific OpenGL includes.
    #include <osg/GL>
    #include <osg/GLU>
#else
    // OSG 2.9.10 no longer includes GLU.
    #include <osg/GL>
    #if defined(__APPLE__)
        #include <OpenGL/glu.h>
    #else
        #include <GL/glu.h>
    #endif
#endif

#endif // GFX_OPENGL_HH
