/*****************************************************************************
 * $LastChangedDate: 2009-11-22 22:39:11 -0500 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Object definitions.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef OBJECT_DEFS_HH
#define OBJECT_DEFS_HH 1

namespace object {
namespace defs {

const Milliseconds DYNA_TICK_FREQ( base::defs::DEFAULT_TICK_FREQ );  ///< affects frequency of animation, collision-detection

} // namespace defs
} // namespace object

#endif // OBJECT_DEFS_HH
